aboutsummaryrefslogtreecommitdiff
path: root/bin/fgscr.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/fgscr.sh')
-rw-r--r--bin/fgscr.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/fgscr.sh b/bin/fgscr.sh
new file mode 100644
index 00000000..137e0dd8
--- /dev/null
+++ b/bin/fgscr.sh
@@ -0,0 +1,8 @@
+# Find all the Git repositories in a directory and scrub them all
+
+# Check we have gscr(1df) first
+command -v gscr >/dev/null 2>&1 || exit
+
+# Look for any dir named .git in the given (default current) dir and run
+# gscr(1df) on it
+find "${@:-.}" -name '*.git' -type d -exec gscr {} \;